Bug 28337 - 'Server' class installs are virtually meaningless
'Server' class installs are virtually meaningless
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 15:25 EST by Kyle Jacobs
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 17:31:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Jacobs 2001-02-19 15:25:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


When I perform a "server" install for Fisher, I would assume that, aside 
from data services being installed, they would also be "ready to go" for 
configuration & deployment.  In Fisher, when I select the "service tasks" 
I want, they are installed, and that's it.

When I install Apache, I should be able to have it running after the 
reboot, and be able to administer it through the distro's central 
administration system (in this case, Linuxconf).  Apache configuration 
modules are no longer installed in Linuxconf. Same with Samba, I choose 
Samba on installation; I expect it to be running, and administrable 
through Linuxconf.  It isn't running OR configurable through Linuxconf.  I 
have to set up Samba manually, and don't have access to easy, and central 
administration.

In fact, NO services are running.  What is the point of having a "server" 
mode? Although everything is installed, nothing is configured or running, 
or configurable (through Linuxconf) for that matter.  It sort of kills the 
point of "server" installs, doesn't it?

Is the concern security?  Isn't the fact that I'm running data services, 
and have specifically selected to do so an indication that I will secure 
the services MYSELF (preferably through the Linuxconf interface.)  What 
about the port firewalling during the install?  I've already waived the 
security features (that I need waived) during the installation, so why 
keep those services that I have explicitly requested to be installed 
remain deactivated?

Reproducible: Always
Steps to Reproduce:
Just a suggestion
Comment 1 Michael Fulbright 2001-02-21 17:31:17 EST
Passing to our distribution team head to handle the policies nature of this request.
Comment 2 Preston Brown 2001-03-05 00:42:10 EST
The vast majority of our users are more interested in security on server
installs than out-of-the-box convenience.  Run ntsysv when you are done
installing to turn on and off services you need.
Comment 3 Kyle Jacobs 2001-03-05 00:50:42 EST
And as for the administration components?  Where are my service configuration 
tools?  Do I have to go back to the 'sacred practice' of editing .conf files by 
hand?  What happened to all the admin tools?  They aren't under Linuxconf 
anymore, they are also not (all) to be found in the GNOME/System menu.  

The new replacement tools for the old Linuxconf modules should ALL be located 
in a uniform location (like the GNOME/System menu).

Note You need to log in before you can comment on or make changes to this bug.